List organizations for the current user
curl --request GET \
--url https://api.example.com/governance/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/governance/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/governance/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"alias": "<string>"
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}organizations
List organizations for the current user
Returns Keycloak organizations the authenticated user belongs to in the hub realm. Each entry includes the organization UUID (id), display name, and Keycloak alias (for OIDC scope=organization:<alias> in the runtime-ui org switcher).
GET
/
governance
/
organizations
List organizations for the current user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Organizations the authenticated user belongs to (hub realm memberships).
Organizations for the current user
Show child attributes
Show child attributes
Was this page helpful?
⌘I

